/**
 * Created by jmoutard on 11/10/17.
 */

'use strict';

angular.module('adf.widget.electre.lavoisier')
    .controller('lavoisierChartEditCtrl', [
        "$scope", "config", "domService",
        function ($scope, config, domService) {
            var chart_config_template = {
                "div" : {
                    classes : "form-group",
                    children : {
                        "div" : [
                            /* WIDTH */
                            {
                                classes : "form-group",
                                children : {
                                    "label" : {
                                        attributes : { "for":"width_config" },
                                        content: "Width"
                                    },
                                    "div" : {
                                        classes : "form-group",
                                        children : {
                                            "input" : [
                                                {
                                                    classes : "form-control",
                                                    attributes : {
                                                        "id": "width_config",
                                                        "type": "number",
                                                        "style": {
                                                            "width":"90%",
                                                            "float":"left"
                                                        },
                                                        "ng-model": "config.widthNumber"
                                                    }
                                                },{
                                                    classes : "form-control",
                                                    attributes: {
                                                        "type":"checkbox",
                                                        "style":{
                                                            "width":"10%",
                                                            "float":"rigth"
                                                        },
                                                        "ng-model": "config.widthPercent"
                                                    }
                                                }
                                            ],
                                            "div" : { attributes: {"style": "clear:both;"} }
                                        }
                                    }
                                }
                            },
                            /* HEIGHT */
                            {
                                classes : "form-group",
                                children : {
                                    "label" : {
                                        attributes : { "for":"height_config" },
                                        content: "Height"
                                    },
                                    "div" : {
                                        classes : "form-group",
                                        children : {
                                            "input" : [
                                                {
                                                    classes : "form-control",
                                                    attributes : {
                                                        "id": "height_config",
                                                        "type": "number",
                                                        "style": {
                                                            "width":"90%",
                                                            "float":"left"
                                                        },
                                                        "ng-model": "config.heightNumber"
                                                    }
                                                },{
                                                    classes : "form-control",
                                                    attributes: {
                                                        "type":"checkbox",
                                                        "style":{
                                                            "width":"10%",
                                                            "float":"rigth"
                                                        },
                                                        "ng-model": "config.heightPercent"
                                                    }
                                                }
                                            ],
                                            "div" : { attributes: {"style": "clear:both;"} }
                                        }
                                    }
                                }
                            },
                            /* INVERT/POLAR LABELS */
                            {
                                classes : "form-group",
                                children : {
                                    "label" :{
                                        attributes : { "for": "inverted_config" },
                                        content: "Inverted"
                                    },
                                    "input" : {
                                        classes : "form-control",
                                        attributes : {
                                            "id": "inverted_config",
                                            "type": "checkbox",
                                            "ng-model": "config.inverted"
                                        }
                                    }
                                }
                            },
                            /* INVERTED/POLAR CHECK */
                            {
                                classes : "form-group",
                                children : {
                                    "label" : {
                                        attributes : { "for": "polar_config" },
                                        content: "Polar"
                                    },
                                    "input" : {
                                        classes : "form-control",
                                        attributes: {
                                            "id": "polar_config",
                                            "type":"checkbox",
                                            "ng-model": "config.polar"
                                        }
                                    }
                                }
                            }
                        ]
                    }
                }
            };

            var chart_config_dom = domService.json2dom(chart_config_template);
            /*angular.element(document.getElementById('edit_form_div_lavoisier')).append(chart_config_dom);*/
        }
    ]);